avalon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 19892] - [CLI] Odd(Buggy?) handling of PARAMETERS_REQUIRED_2
Date Mon, 26 May 2003 17:39:00 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=19892>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=19892

[CLI] Odd(Buggy?) handling of PARAMETERS_REQUIRED_2





------- Additional Comments From leo.sutic@inspireinfrastructure.com  2003-05-26 17:38 -------
What Tagunov writes makes sense. ARGUMENTS_REQUIRED_2 does suggest that two 
arguments *are* required. Otherwise it should be ARGUMENTS_ALLOWED_2. However, 
two things speak against implementing this new functionality:

 1. This package is deprecated in favor of Commons CLI.

 2. The fix would require a change in the current behavior. As we keep 
    this code around just to be backwards compatible, changing the behavior
    is not wanted unless the existing behavior is provably wrong.

I suggest this:

 1. Try using Commons CLI instead, if you can. If it has equally weird 
    behavior, burn your energy on fixing it and not this.

 2. If not (1) - add a ARGUMENTS_REQUIRED_EXACT_2 mode. This would preserve
    backwards compatibility as the meaning of ARGUMENTS_REQUIRED_2 is left
    unchanged.

Makes sense?

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@avalon.apache.org
For additional commands, e-mail: dev-help@avalon.apache.org


Mime
View raw message